/* utility */
* {
    margin: 0;
    padding: 0;
}

.d-none {
    display: none;
}

.w-100 {
    width: 100%;
}

.container {
    box-sizing: border-box;
    width: 100%;
    padding: 0 15px;
    margin-right: auto;
    margin-left: auto;
}

.position-absolute {
    position: absolute;
}

.position-relative {
    position: relative;
}

@media only screen and (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media only screen and (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media only screen and (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media only screen and (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

body {
    background-color: #55177d;
    background-attachment: fixed;
    background-position: bottom;
    background-size: 100%;
    background-size: cover;
}

/* content */
#contents {
    margin-top: -5.5vw;
}

#firstContentImg {
    aspect-ratio: 1;
}

.contentWrapper {
    display: none;
    position: relative;
}

.contentWrapper[active] {
    display: block;
}

/* hiddenLink  */
.hiddenLink {
    position: absolute;
    aspect-ratio: 9;
    cursor: pointer;
    border: none;
    display: block;

    /* for debug */
    /* background: rgba(182, 135, 75, 0.4); */
}


@media only screen and (min-width: 768px) {

    .hiddenLink {
        position: absolute;
        aspect-ratio: 8;
        cursor: pointer;
        /* border: solid 1px red; */
        display: block;
    }

}


/* footer */
footer {
    margin-top: 30px;
    border-top: 1px solid #ffea00;
    color: #fff;
    line-height: 1.5;
    padding: 20px 0px;
    /* reserver space for links float in screen bottom */
    padding-bottom: 20vw;
}

@media only screen and (min-width: 768px) {
    footer {
        padding-bottom: 20px;
    }
}

#footerContentWrapper {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
}

@media only screen and (min-width: 768px) {
    #footerContentWrapper {
        flex-direction: row;
    }
}

#ageLimitIcon {
    margin-top: 0.5rem;
}

@media only screen and (min-width: 768px) {
    #ageLimitIcon {
        margin-top: 0;
    }
}

/* float contents */
#desktopBackToTop {
    position: fixed;
    cursor: pointer;
    transform: scale(0.8);
    right: 2.8rem;
    bottom: 0px;
    display: none;
    z-index: 100;
}

@media only screen and (min-width: 768px) {
    #desktopBackToTop {
        display: block;
    }
}